Subject: bug#35670: closed (Re: bug#35670: guix package --roll-back message in Spanish is missing a line break)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 May 2019 22:14:01 +0000

Your bug report

#35670: guix package --roll-back message in Spanish is missing a line break

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35670: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35670
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35670: guix package --roll-back message in Spanish is missing a line break
From: Ludovic Courtès <[email-masked]>
To: sirgazil <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 May 2019 00:13:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

¡Hola!

Please report translation errors to the translation team:

--8<---------------cut here---------------start------------->8---
$ LANGUAGE=es guix --help | tail -4
Informe de errores a: [email-masked].
Informe de errores de traducción a: [email-masked].
Página Web de GNU Guix: <https://gnu.org/s/guix>
Ayuda general para el uso de software GNU: <http://www.gnu.org/gethelp/>
--8<---------------cut here---------------end--------------->8---

Thanks,
Ludo’.

Subject: guix package --roll-back message in Spanish is missing a line break
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Fri, 10 May 2019 11:12:28 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using this system:

$ guix describe
Generación 1	06 may 2019 11:29:00	(actual)
  guix d6a68e9
    URL del repositorio: https://git.savannah.gnu.org/git/guix.git
    rama: master
    revisión: d6a68e90483b35bdc2ea78afe2c81873be67ec95

After running "guix package --roll-back" in a system with a Spanish locale (es_CO.UTF-8), I see that the output is missing a line break, so the prompt appears immediately after the output:

##########
$ guix package --roll-back
se pasó de la generación 48 a la 47.sirgazil@makine ~/Escritorio$ guix package -I
##########

It should look like this instead:

##########
$ guix package --roll-back
se pasó de la generación 48 a la 47.
sirgazil@makine ~/Escritorio$ guix package -I
##########

I didn't test if the issue actually depends on the locale.

---
https://sirgazil.bitbucket.io/